Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7898/?format=api
{ "ob_id": 7898, "uuid": "cfb8e91f227d260b0824b184c64a461b", "title": "NCAVEO: Newcastle University ASD Field spectra data collected with instrument N4406 at Rickyard field, near Chilbolton", "abstract": "This dataset includes reflectance spectra of Winter wheat collected from Rickyard field, near Chilbolton, as part of the Network for Calibration and Validation of EO data (NCAVEO) 2006 Field Campaign. The data was collected on the 18th June, using an ASD N4406 instrument. For information on the data's processing please see the metadata PDF in linked documentation.\r\n\r\nPlease note that all raw spectra files collected during the NCAVEO campaign (labelled ***R_ASD0606**.***) have incorrect dates, indicating them to have been collected in July rather than June. The day of month and time (UTC) are correct in all cases. All other files (FSF spreadsheets and Excel/ENVI summary outputs) are also marked with the correct 15-18th June 2006 dates.", "keywords": "NCAVEO, ASD, SPECTRA, RICKYARD, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2007-10-17T14:15:20", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12669/?format=api", "dataPath": "/neodc/ncaveo_field/data/Field_spectra/RY_060618", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1329263, "numberOfFiles": 7, "fileFormat": "Data are in HDR, PDF and text formats. " }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3410/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5135/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32474/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32479/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32480/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32473/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32476/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32477/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32478/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32475/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7901/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }